A person's progress across courses
GET /api/students/{id}/analytics. A person's progress across courses. Headless LMS Reporting API reference.
Requires people:read. Per-course progress and completion.
Path Parameters
id*string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/students/string/analytics"{ "enrolled": -9007199254740991, "started": -9007199254740991, "completed": -9007199254740991, "avgProgress": -9007199254740991, "courses": [ { "courseId": "string", "title": "string", "totalActivities": -9007199254740991, "completedActivities": -9007199254740991, "progress": -9007199254740991, "startedAt": "string", "lastActivityAt": "string", "completedAt": "string" } ]}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}